Modify

Opened 10 years ago

Closed 9 years ago

#2625 closed defect (fixed)

net/wget fails to build under SDK (due to no libopenssl)

Reported by: b.candler@… Owned by: developers
Priority: normal Milestone:
Component: packages Version:
Keywords: Cc:

Description

Inside a 7.09 SDK environment:

cd OpenWrt-SDK-x86-2.6-for-Linux-i686/package
svn co -r9260 https://svn.openwrt.org/openwrt/packages/net/wget
cd ..
make

The build bombs out, as it's trying to build both wget and wget-nossl, but the former fails because libopenssl isn't available within the SDK.

I tried various combinations of 'make [Pp]ackage/wget-nossl' and/or '/compile' to try to build only wget-nossl, but couldn't find a way to make it work.

The only solution I could come up with was to hack the Makefile itself and comment out the following two lines:

#$(eval $(Build/with-ssl))
...
#$(eval $(call BuildPackage,wget))

Now, one solution is to rebuild the SDK with libopenssl included - perhaps this should be done by default, as it's a common dependency?

Otherwise, I'd like to see a documented way to build only the wget-nossl package within SDK (perhaps by means of a note in the Makefile)

Attachments (0)

Change History (1)

comment:1 Changed 9 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

Please try with a new SDK from Kamikaze 8.09.1

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.